Bug 10924 - Contact note not updating via opac
Summary: Contact note not updating via opac
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-20 15:13 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10924 - Contact note not updating via opac (1.55 KB, patch)
2013-09-20 15:38 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10924 - Contact note not updating via opac (1.63 KB, patch)
2013-09-22 02:32 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10924 - Contact note not updating via opac (1.74 KB, patch)
2013-09-22 08:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-09-20 15:13:40 UTC
When the patron updates their account on the OPAC the contact note changes don't take/save/come over.
Comment 1 Owen Leonard 2013-09-20 15:38:04 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-22 02:32:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-22 08:50:54 UTC
Created attachment 21307 [details] [review]
[PASSED QA] Bug 10924 - Contact note not updating via opac

If you update your "Contact note" via the OPAC that change doesn't
appear in the staff client's "Update patron records" interface. The
field is missing from members-update.tt

To test, log in to the OPAC and update your details
(opac-memberentry.pl), modifying the "Contact note" in the "Alternate
address" section.

In the staff client, view "Patrons requesting modifications"
(members/memgers-update.pl). The changed contact note field should
appear in the list of field awaiting approval for that patron.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: Work as described. No koha-qa errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
One line change - contact note now updates perfectly.
Comment 4 Galen Charlton 2013-09-23 18:06:37 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-11-13 16:26:04 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Owen!